org.apache.xalan.xsltc.compiler.util

## Class Util

- java.lang.Object
- - org.apache.xalan.xsltc.compiler.util.Util

    public final class Util
    extends java.lang.Object

Author:
  Jacek Ambroziak, Santiago Pericas-Geertsen

### Constructor Summary

Constructors
Constructor and Description
`Util()`

### Method Summary

Methods
`static java.lang.String` `baseName(java.lang.String name)` Search for both slashes in order to support URLs and files.
`static java.lang.String` `escape(java.lang.String input)` Replace occurances of '
`static org.apache.bcel.generic.Type` `getJCRefType(java.lang.String signature)`
`static java.lang.String` `getLocalName(java.lang.String qname)`
`static java.lang.String` `getPrefix(java.lang.String qname)`
`static java.lang.String` `internalName(java.lang.String cname)`
`static boolean` `isLiteral(java.lang.String str)` Checks if the string is a literal (i.e. not an AVT) or not.
`static boolean` `isValidQNames(java.lang.String str)` Checks if the string is valid list of qnames
`static java.lang.String` `noExtName(java.lang.String name)`
`static java.lang.String` `pathName(java.lang.String name)` Search for both slashes in order to support URLs and files.
`static void` `println(char ch)`
`static void` `println(java.lang.String s)`
`static java.lang.String` `replace(java.lang.String base, char ch, java.lang.String str)` Replace a certain character in a string with a new substring.
`static java.lang.String` `replace(java.lang.String base, java.lang.String delim, java.lang.String[] str)`
`static java.lang.String` `toJavaName(java.lang.String name)` Replace all illegal Java chars by '_'.
`static void` `TRACE1()`
`static void` `TRACE2()`
`static void` `TRACE3()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Util

    public Util()

### Method Detail

#### noExtName

    public static java.lang.String noExtName(java.lang.String name)

#### baseName

    public static java.lang.String baseName(java.lang.String name)

Search for both slashes in order to support URLs and files.

#### pathName

    public static java.lang.String pathName(java.lang.String name)

Search for both slashes in order to support URLs and files.

#### toJavaName

    public static java.lang.String toJavaName(java.lang.String name)

Replace all illegal Java chars by '_'.

#### getJCRefType

    public static org.apache.bcel.generic.Type getJCRefType(java.lang.String signature)

#### internalName

    public static java.lang.String internalName(java.lang.String cname)

#### println

    public static void println(java.lang.String s)

#### println

    public static void println(char ch)

#### TRACE1

    public static void TRACE1()

#### TRACE2

    public static void TRACE2()

#### TRACE3

    public static void TRACE3()

#### replace

    public static java.lang.String replace(java.lang.String base,
                           char ch,
                           java.lang.String str)

Replace a certain character in a string with a new substring.

#### replace

    public static java.lang.String replace(java.lang.String base,
                           java.lang.String delim,
                           java.lang.String[] str)

#### escape

    public static java.lang.String escape(java.lang.String input)

Replace occurances of '.', '-', '/' and ':'

#### getLocalName

    public static java.lang.String getLocalName(java.lang.String qname)

#### getPrefix

    public static java.lang.String getPrefix(java.lang.String qname)

#### isLiteral

    public static boolean isLiteral(java.lang.String str)

Checks if the string is a literal (i.e. not an AVT) or not.

#### isValidQNames

    public static boolean isValidQNames(java.lang.String str)

Checks if the string is valid list of qnames